from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XAxis(XInterface, Protocol):
    def getAxisTitle(self) -> XPropertySet: ...
    def getMajorGrid(self) -> XPropertySet: ...
    def getMinorGrid(self) -> XPropertySet: ...
